use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IEntity {
    pub(crate) html: String,
}

impl IEntity {
    pub(crate) async fn new<'parse>(
        registry: &mut Registry<'parse>,
        original: &organic::types::Entity<'parse>,
    ) -> Result<IEntity, CustomError> {
        Ok(IEntity {
            html: original.html.to_owned(),
        })
    }
}
